#[derive(Debug)]
pub enum Expr {
    Abs(Box<Expr>),
    App(Box<Expr>, Box<Expr>),
    Var(usize),
    DefinitionName(String),
}

#[derive(Debug)]
pub enum FlattenedExpr {
    Abs(Box<FlattenedExpr>),
    App(Box<FlattenedExpr>, Box<FlattenedExpr>),
    Var(usize),
}
